IP : Cisco ONS 15454 SONET Multiservice Provisioning Platform (MSPP)

Instalación múltiple del módulo Java para acceder el CTC

17 Octubre 2016 - Traducción Automática
Otras Versiones: PDFpdf | Inglés (22 Agosto 2015) | Comentarios


Contenido


Introducción

Este documento describe el procedimiento para instalar las versiones múltiples del módulo Java para acceder el Cisco Transport Controller (CTC).

prerrequisitos

Requisitos

Cisco recomienda que tenga conocimiento sobre estos temas:

  • Cisco Transport Controller

  • Cisco ONS 15454/15327

Componentes Utilizados

La información que contiene este documento se basa en las siguientes versiones de software y hardware.

  • Cisco Transport Controller

  • Cisco ONS 15454/15327

  • Internet Explorer, Netscape y Mozilla (para utilizar tres diversas versiones del Entorno de tiempo de ejecución Java (JRE) en el mismo PC)

La información que contiene este documento se creó a partir de los dispositivos en un ambiente de laboratorio específico. Todos los dispositivos que se utilizan en este documento se pusieron en funcionamiento con una configuración verificada (predeterminada). Si la red está funcionando, asegúrese de haber comprendido el impacto que puede tener cualquier comando.

Convenciones

Consulte Convenciones de Consejos TécnicosCisco para obtener más información sobre las convenciones del documento.

Antecedentes

Esta sección proporciona la información previa requerida para ayudarle a entender el contenido de este documento mejor.

Versiones múltiples del módulo Java

Cuando usted instala las versiones múltiples del módulo Java, usted puede eliminar la necesidad de quitar y de reinstalar una diversa versión del módulo Java para acceder las versiones de software de funcionamiento múltiples de Cisco ONS15454/15327 con éxito. Después de la implementación, usted pone en marcha simplemente al buscador relevante basado en la versión de software operativo del nodo que usted quiere acceder.

Información del buscador

El navegador en quien usted inicia el CTC depende del entorno de tiempo de ejecución de las Javas 2, de la versión JRE de la edición estándar (J2SE) que el ONS15454 o de 15327 soportes. El cuadro 1 enumera al buscador relevante para cada versión.

Cuadro 1 – Navegador para cada versión del J2SE JRE

Versión soportada por el ONS15454 o 15327 Navegador que se utilizará para iniciar el CTC
Versión 1.2.2 del J2SE JRE Microsoft Internet Explorer
Versión 1.3.2 del J2SE JRE Netscape
Versión 1.4.2 del J2SE JRE Mozilla

Instalación de Mozilla

Usted debe instalar el Mozilla, incluso si usted ha instalado ya el Internet Explorer y Netscape. Cuando usted instala a todos los tres navegadores, usted puede utilizar tres diversas versiones JRE en el mismo PC.

Para instalar el Mozilla, el primer paso es descargar la versión 1.7.1 del Mozilla de www.mozilla.orgleavingcisco.com . El nombre del archivo es mozilla-win32-1.7.1-installer. Complete estos pasos:

  1. Ejecute mozilla-win32-1.7.1-installer. El Mozilla puesto - La ventana agradable aparece (véase el cuadro 1).

    Cuadro 1 – Mozilla puesto: Ventana agradable

    moza_ctc_64021_f1.gif

  2. Haga clic en Next (Siguiente). La ventana del acuerdo de licencia de software aparece (véase el cuadro 2).

    Cuadro 2 – Ventana del acuerdo de licencia de software

    /image/gif/paws/64021/moza_ctc_64021_f2.gif

  3. Lea la licencia, y el tecleo valida. La ventana del tipo de la configuración aparece (véase el cuadro 3).

    Cuadro 3 – Ventana del tipo de la configuración

    moza_ctc_64021_f3.gif

  4. Seleccione el botón de radio completo. Haga clic en Next (Siguiente). La ventana de lanzamiento rápida aparece (véase el cuadro 4).

    Cuadro 4 – Ventana rápida del almuerzo

    moza_ctc_64021_f4.gif

  5. Haga clic en Next (Siguiente). El comienzo instala la ventana aparece (véase el cuadro 5).

    Cuadro 5 – El comienzo instala la ventana

    moza_ctc_64021_f5.gif

  6. El tecleo instala para comenzar la instalación.

    Después de que la instalación sea completa, un prompt para fijar el Mozilla como el buscador predeterminado aparece (véase el cuadro 6).

    Cuadro 6 – Mensaje de finalización de la instalación de Mozilla

    /image/gif/paws/64021/moza_ctc_64021_f6.gif

  7. Tecleo no.

Instalación del módulo Java

Descargue estas versiones para el entorno de tiempo de ejecución de las Javas 2, edición estándar (J2SE) del sitio web de Sun Microsystemsleavingcisco.com .

  1. La versión 1.2.2 (uso jre-1_2_2_017-windows-i586.exe o versión posterior) del J2SE JRE.

  2. La versión 1.3.1 (uso j2re-1_3_1_14-windows-i586.exe o versión posterior) del J2SE JRE.

  3. La versión 1.4.2 (uso j2re-1_4_2_06-windows-i586-p.exe o versión posterior) del J2SE JRE.

Nota: Si usted hace ya las Javas instalar, Cisco recomienda que usted desinstala todas las versiones JRE, y las instala otra vez en la secuencia correcta (véase la secuencia de la instalación JRE), después de que usted instale el Mozilla.

Nota: Complete estos pasos para desinstalar cualquier versión existente del JRE:

  1. Elija el Start (Inicio) > Configuration (Configuración) > Control Panel (Panel de control) > Add/Remove Programs (Agregar o quitar programas).

  2. Seleccione la versión JRE que usted quiere desinstalar, y el tecleo quita.

  3. Abra al explorador Explorador de Windows.

  4. De la carpeta de archivos de programa, borre todas las Javas y carpetas Javasoft.

Secuencia de la instalación JRE

Aquí está la secuencia de la instalación:

  1. Instale la versión 1.4.2 del J2SE JRE.

  2. Instale la versión 1.3.1 del J2SE JRE. Elija Netscape como el buscador predeterminado cuando aparece el prompt. Utilice la carpeta predeterminada para instalar el JRE. No cambie la carpeta.

  3. Instale la versión 1.2.2 del J2SE JRE. Utilice la carpeta predeterminada para instalar el JRE. No cambie la carpeta.

Después de la instalación, cree un nuevo archivo de política Java. Usted puede descargar el JRE 1.3.1_02, directiva de las Javas directiva instala y del lanzador del

Sobregrabe el archivo de política Java original con el nuevo archivo de política Java para las tres versiones del J2SE JRE. Aquí está la trayectoria al archivo de política Java para diversas versiones:

C:\Program Files\<JavaSoft or Java>\JRE\<JRE release>\lib\security\java.policy

Compatibilidad JRE con el ONS15454 y 15327

El cuadro 2 proporciona la información sobre la compatibilidad entre ONS15454/15327 la versión de software, el JRE y el navegador.

Cuadro 2 – Compatibilidad entre ONS15454/15327, JRE y el navegador

Versiones de software de ONS Internet Explorer (JRE 1.2.2.x) Netscape (JRE 1.3.1.x) Mozilla (JRE 1.4.2.x)
2.2.0 No No
2.2.1 No No
2.2.2 No No
2.3.4 No No
3.2.1 No No
3.3.0 No No
3.4.0 No No
3.4.1 No No
4.0.1 No No
4.0,2 No No
4.1.0 No No
4.1.3 No No
4.1.4 No No
4.6.2 No No
4.7 No No
5.0 No No

Nota: Si usted utiliza ONS15454/15327 el software de la versión 3.2.1 o 3.3.0, si el CTC no puede iniciar, hacer clic el caché de la cancelación CTC. Entonces lanzamiento CTC otra vez.

Complete estos pasos para determinar la versión de software actual encendido ONS15454/15327:

  1. Abra una ventana del buscador.

  2. En la barra de dirección, teclee la dirección IP del nodo seguido por /getSwVersion como se muestra por la flecha A en el cuadro 7.

    La conectividad de red al nodo debe existir para la ejecución exitosa del comando.

    Cuadro 7 – Determine ONS15454/15327 la versión de software

    /image/gif/paws/64021/moza_ctc_64021_f7.gif

Configuración del J2SE JRE

Esta sección enumera los pasos que usted debe completar para especificar las configuraciones apropiadas para la versión del J2SE JRE que usted utiliza.

Versión JRE 1.2.2 del J2SE

Complete estos pasos para especificar las configuraciones para la versión 1.2.2 del J2SE JRE:

  1. Elija el comienzo > todos los programas > panel de control del plug-in de Javas.

  2. En las Javas (TM) las propiedades de módulo defienden, marcan la casilla de verificación del módulo Java del permiso, y los TARROS del caché en la casilla de verificación Memory (Memoria) en la lengueta básica (véase el cuadro 8).

    Cuadro 8 – Versión 1.2.2 del J2SE JRE: Configuraciones básicas

    /image/gif/paws/64021/moza_ctc_64021_f8.gif

  3. Vaya a la ficha Avanzadas.

  4. Seleccione la opción predeterminada del módulo Java del uso, y marque la casilla de verificación del compilador del permiso apenas a tiempo (véase el cuadro 9).

    Cuadro 9 – Versión 1.2.2 del J2SE JRE: Configuraciones avanzadas

    /image/gif/paws/64021/moza_ctc_64021_f9.gif

  5. Vaya a la lengueta de los proxys.

  6. Marque la casilla de verificación de las configuraciones del buscador del uso (véase el cuadro 10).

    Cuadro 10 – Versión 1.2.2 del J2SE JRE: Configuraciones de representación

    /image/gif/paws/64021/moza_ctc_64021_f10.gif

  7. Haga clic en Apply (Aplicar).

Versión JRE 1.3.1 del J2SE

Complete estos pasos para especificar las configuraciones para la versión 1.3.1 del J2SE JRE:

  1. Elija el comienzo > el plug-in 1.3.1_X del panel de control > de Javas.

  2. En la ventana del panel de control de módulo de Java(TM), marque la casilla de verificación del módulo Java del permiso, y la Casilla de verificación de Classloader del reciclaje en la lengueta básica (véase el cuadro 11).

    Cuadro 11 – Versión 1.3.1 del J2SE JRE: Configuraciones básicas

    /image/gif/paws/64021/moza_ctc_64021_f11.gif

  3. Vaya a la ficha Avanzadas.

  4. Seleccione la opción predeterminada del módulo Java del uso, y marque la casilla de verificación del compilador del permiso apenas a tiempo (véase el cuadro 12).

    Cuadro 12 – Versión 1.3.1 del J2SE JRE: Configuraciones avanzadas

    /image/gif/paws/64021/moza_ctc_64021_f12.gif

  5. Vaya a la lengueta del navegador.

  6. Marque la casilla de verificación de Netscape 6 (véase el cuadro 13).

    Cuadro 13 – Versión 1.3.1 del J2SE JRE: Configuración del buscador

    /image/gif/paws/64021/moza_ctc_64021_f13.gif

  7. Vaya a la lengueta de los proxys.

  8. Marque la casilla de verificación de las configuraciones del buscador del uso (véase el cuadro 14).

    Cuadro 14 – Versión 1.3.1 del J2SE JRE: Configuraciones de representación

    /image/gif/paws/64021/moza_ctc_64021_f14.gif

  9. Haga clic en Apply (Aplicar).

Versión JRE 1.4.2 del J2SE

Complete estos pasos para especificar las configuraciones para la versión 1.4.2 del J2SE JRE:

  1. Elija el comienzo > plug-in del panel de control > de Javas.

  2. Seleccione la opción de la consola de la piel en la sección de la consola Java, y marque las Javas de la demostración en la casilla de verificación de la bandeja del sistema en la lengueta básica (véase el cuadro 15).

    Cuadro 15 – Versión 1.4.2 del J2SE JRE: Configuraciones básicas

    /image/gif/paws/64021/moza_ctc_64021_f15.gif

  3. Vaya a la ficha Avanzadas.

  4. Seleccione la opción predeterminada del módulo Java del uso (véase el cuadro 16).

    Cuadro 16 – Versión 1.4.2 del J2SE JRE: Configuraciones avanzadas

    /image/gif/paws/64021/moza_ctc_64021_f16.gif

  5. Vaya a la lengueta del navegador.

  6. Marque solamente el Mozilla 1.1 o la casilla de verificación posterior (véase el cuadro 17).

    Cuadro 17 – Versión 1.4.2 del J2SE JRE: Configuraciones del buscador

    /image/gif/paws/64021/moza_ctc_64021_f17.gif

  7. Vaya a la lengueta de los proxys.

  8. Marque la casilla de verificación de las configuraciones del buscador del uso (véase el cuadro 18).

    Cuadro 18 – Versión 1.4.2 del J2SE JRE: Configuraciones de representación

    /image/gif/paws/64021/moza_ctc_64021_f18.gif

  9. Vaya a la lengueta del caché.

  10. Marque el permiso que oculta la casilla de verificación (véase el cuadro 19).

    Cuadro 19 – Versión 1.4.2 del J2SE JRE: Almacenamiento en memoria inmediata del permiso

    /image/gif/paws/64021/moza_ctc_64021_f19.gif

Verificación

Complete estos pasos para verificar la instalación:

  1. Abra al navegador apropiado. Para la información sobre el navegador a utilizar, vea el cuadro 1.

  2. Inicie al planificador del metro para verificar si la aplicación ejecuta con éxito.

    Nota: Si usted utiliza la versión 2.5 del planificador del metro, usted necesita localizar y crear un archivo del .bat de modo que el planificador del metro trabaje.

    Nota: Cuando usted accede ONS15454/15327 que los funcionamientos liberan 4.x.x, una ventana puede aparecer indicar que existe un más viejo archivo de políticas. La ventana le indica a que sobregrabe el archivo de políticas. Marque no muestran esta casilla de verificación del mensaje otra vez, y hacen clic NO. Si usted hace clic los YE, el archivo de política Java original se fija como el archivo predeterminado, y usted puede acceder no más la versión 2.x.x.


Información Relacionada


Document ID: 64021